@use '../../../global/styles/styles-variables' as *;

@mixin small() {
    --PADDING: var(--digi--logo--padding);
    @media (min-width: $digi--breakpoint--large) {
        --PADDING: var(--digi--logo--padding--wide);
    }
}

@mixin large() {
    --PADDING: var(--digi--logo--padding--large);
    @media (min-width: $digi--breakpoint--large) {
        --PADDING: var(--digi--logo--padding--large--wide);
    }
}

@mixin primary() {
    --COLOR--BORDER: var(--digi--logo--color--border--primary);
    --COLOR: var(--digi--logo--color--primary);
}

@mixin secondary() {
    --COLOR--BORDER: var(--digi--logo--color--border--secondary);
    --COLOR: var(--digi--logo--color--secondary);
}